﻿@model TakePaymentInvoiceViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Confirm Payment 
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix">

    </div>
    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">
            <div>
                @*<div class="avatar-box">
                    <i></i>
                </div>*@
                <div class="info-box">
                    <h2 class="name ellipsis"><span>{{Model.UserName}}</span></h2>
                </div>
            </div>
        </div>
        <div class="orderitem-overview text-center place-left one-half">
            <div class="place-left one-half">
                <b>Invoice #</b>
                <i ng-bind="Model.InvoiceNumber"></i>
            </div>
            <div class="place-left one-half" ng-class="{ 'fg-red' : Model.AmountDue > 0}">
                <b>Amount due</b>
                <i class="balance" ng-bind="(Model.AmountDue).formatCurrencyWithPenny(2)"></i>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>

    <div class="clearfix"></div>

    <div>
        <h3 ng-show="Model.SelectedChargeMethod=='0'">I want to record the following payment </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && !(Model.IsStripeEnabled)">I have the payer paypal or credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && Model.IsStripeEnabled && Model.IsPaypalEnabled">I have the payer paypal or credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='2' && Model.IsStripeEnabled && !(Model.IsPaypalEnabled)">I have the payer credit card and want to charge now </h3>
        <h3 ng-show="Model.SelectedChargeMethod=='1'">I want to record the following payment </h3>
        <div class="clearfix"></div>
    </div>
    <div>
        <label>Amount due: {{(Model.AmountDue).formatCurrencyWithPenny(2)}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment method: {{getPaymentMethodText()}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0'">Payment date: {{formatDate()}}</label>
        <label ng-show="Model.SelectedChargeMethod=='0' && Model.CheckId!=null && Model.CheckId.length>0">Transaction/Check ID: {{Model.CheckId}}</label>
        <label ng-show="Model.Note!=null && Model.Note.length>0">Memo: {{Model.Note}}</label>
        <br />
    </div>
    <div class="clearfix"></div>
    <hr />
    <div class="clearfix"></div>
    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Back</button>
    <button class="success place-right large button" ng-click="TakePayment()" id="submitTakePayment">Submit</button>

    <div class="clearfix"></div>
</div>